LangIdParams (Solr 3.6.2 API)
Keywords: org.apache.solr.update.processor.LangIdParams interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.update.processor
Interface LangIdParams

All Known Implementing Classes:
  LangDetectLanguageIdentifierUpdateProcessor, LangDetectLanguageIdentifierUpdateProcessorFactory, LanguageIdentifierUpdateProcessor, TikaLanguageIdentifierUpdateProcessor, TikaLanguageIdentifierUpdateProcessorFactory

    public interface LangIdParams

Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to You under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Field Summary
`static String` | `DOCID_FIELD_DEFAULT`
`static String` | `DOCID_LANGFIELD_DEFAULT`
`static String` | `DOCID_LANGSFIELD_DEFAULT`
`static String` | `DOCID_PARAM`
`static Double` | `DOCID_THRESHOLD_DEFAULT`
`static String` | `ENFORCE_SCHEMA`
`static String` | `FALLBACK`
`static String` | `FALLBACK_FIELDS`
`static String` | `FIELDS_PARAM`
`static String` | `LANG_FIELD`
`static String` | `LANG_WHITELIST`
`static String` | `LANGS_FIELD`
`static String` | `LANGUAGE_ID`
`static String` | `MAP_ENABLE`
`static String` | `MAP_FL`
`static String` | `MAP_INDIVIDUAL`
`static String` | `MAP_INDIVIDUAL_FL`
`static String` | `MAP_KEEP_ORIG`
`static String` | `MAP_LCMAP`
`static String` | `MAP_OVERWRITE`
`static String` | `MAP_PATTERN`
`static String` | `MAP_PATTERN_DEFAULT`
`static String` | `MAP_REPLACE`
`static String` | `MAP_REPLACE_DEFAULT`
`static String` | `OVERWRITE`
`static String` | `THRESHOLD`

Field Detail

### LANGUAGE_ID

    static final String LANGUAGE_ID

See Also:
  Constant Field Values

### DOCID_PARAM

    static final String DOCID_PARAM

See Also:
  Constant Field Values

### FIELDS_PARAM

    static final String FIELDS_PARAM

See Also:
  Constant Field Values

### LANG_FIELD

    static final String LANG_FIELD

See Also:
  Constant Field Values

### LANGS_FIELD

    static final String LANGS_FIELD

See Also:
  Constant Field Values

### FALLBACK

    static final String FALLBACK

See Also:
  Constant Field Values

### FALLBACK_FIELDS

    static final String FALLBACK_FIELDS

See Also:
  Constant Field Values

### OVERWRITE

    static final String OVERWRITE

See Also:
  Constant Field Values

### THRESHOLD

    static final String THRESHOLD

See Also:
  Constant Field Values

### ENFORCE_SCHEMA

    static final String ENFORCE_SCHEMA

See Also:
  Constant Field Values

### LANG_WHITELIST

    static final String LANG_WHITELIST

See Also:
  Constant Field Values

### MAP_ENABLE

    static final String MAP_ENABLE

See Also:
  Constant Field Values

### MAP_FL

    static final String MAP_FL

See Also:
  Constant Field Values

### MAP_OVERWRITE

    static final String MAP_OVERWRITE

See Also:
  Constant Field Values

### MAP_KEEP_ORIG

    static final String MAP_KEEP_ORIG

See Also:
  Constant Field Values

### MAP_INDIVIDUAL

    static final String MAP_INDIVIDUAL

See Also:
  Constant Field Values

### MAP_INDIVIDUAL_FL

    static final String MAP_INDIVIDUAL_FL

See Also:
  Constant Field Values

### MAP_LCMAP

    static final String MAP_LCMAP

See Also:
  Constant Field Values

### MAP_PATTERN

    static final String MAP_PATTERN

See Also:
  Constant Field Values

### MAP_REPLACE

    static final String MAP_REPLACE

See Also:
  Constant Field Values

### DOCID_FIELD_DEFAULT

    static final String DOCID_FIELD_DEFAULT

See Also:
  Constant Field Values

### DOCID_LANGFIELD_DEFAULT

    static final String DOCID_LANGFIELD_DEFAULT

### DOCID_LANGSFIELD_DEFAULT

    static final String DOCID_LANGSFIELD_DEFAULT

### MAP_PATTERN_DEFAULT

    static final String MAP_PATTERN_DEFAULT

See Also:
  Constant Field Values

### MAP_REPLACE_DEFAULT

    static final String MAP_REPLACE_DEFAULT

See Also:
  Constant Field Values

### DOCID_THRESHOLD_DEFAULT

    static final Double DOCID_THRESHOLD_DEFAULT

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD